<?xml version="1.0" encoding="utf-8"?><!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
  <xsl:include href="../_include/extbase.xsl"/>
  <xsl:template match="/extension">
    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
    <title><xsl:value-of select="name"/></title>
	<link rel="stylesheet" href="style.css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <xsl:call-template name="InitExtension"/>
	<script language="javascript" src="appletv.js"></script>
	</head>
    <body onunload="StopPlay()" onload="Refresh()">
	<div class="extension">
    <div class="panel">
        <div align="center">
            <div>
              <h2><strong> Apple TV Extension </strong></h2>
          </div>
            <hr />
        </div>
          <table width="100%" border="0">
            <tr>
              <td height="30"><xsl:call-template name="AddElement">
                <xsl:with-param name="element" select="elements/element[@id='hasVideo']"/>
                </xsl:call-template>:</td>
              <td><xsl:call-template name="AddElement">
                <xsl:with-param name="element" select="elements/element[@id='video']"/>
                </xsl:call-template>              </td>
            </tr>
            <tr>
              <td width="78" height="30"><xsl:call-template name="AddElement">
                <xsl:with-param name="element" select="elements/element[@id='hasAudio']"/>
                </xsl:call-template>:</td>
              <td width="120"><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='audio']"/></xsl:call-template></td>
            </tr>
            <tr>
              <td height="30">Resolution:</td>
              <td><p><input name="resmode" id="resmode1" type="radio" checked="true" onchange="Refresh()"/><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='res']"/></xsl:call-template></p><p>
			  <input name="resmode" id="resmode2" type="radio" onchange="Refresh()"/><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='width']"/></xsl:call-template> x <xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='height']"/></xsl:call-template></p>			  </td>
            </tr>
            <tr>
              <td height="30">Cropping:</td>
              <td><xsl:call-template name="AddElement">
                <xsl:with-param name="element" select="elements/element[@id='crop']"/>
                </xsl:call-template></td>
            </tr>
            <tr>
              <td height="30">Frame rate:</td>
              <td><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='fps']"/></xsl:call-template> FPS </td>
            </tr>
            <tr>
              <td height="30"> Video Bitrate:</td>
              <td><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='bitrate']"/></xsl:call-template> KBps </td>
            </tr>
            <tr>
              <td height="30">Audio Quality:</td>
              <td><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='aq']"/></xsl:call-template></td>
            </tr>
          </table>
          <hr />
          <div align="center">Progress<br/><iframe src="../_include/progress.htm" width="80%" height="20" frameborder="0" scrolling="no" marginwidth="0" marginheight="0"></iframe></div>
          <p align="center">
            <input type="button" value="Play" style="width: 64px" onclick="PlayVideo(lcd())" />
            <input type="button" value="Preview" style="width: 64px" onclick="PlayConvertedVideo(lcd())" />
            <input type="button" value="Skip 10s" style="width: 64px" onclick="SendCommand('seek +10')" />
            <input type="button" value="Crop" style="width: 64px" onclick="SendCommand('show_cropper')" />
            <input type="button" value="SetTime" style="width: 64px" onclick="SendCommand('set_time')" />
            <input type="button" value="Start" style="width: 64px" onclick="SendCommand('transcode')" />
          </p>
	</div>
    <div style="position:absolute; left: 231px; top: 8px; border-style:groove; border-width:medium"><img src="appleitvi.jpg" /></div>
    <embed width="195" height="146" style="position:absolute; left: 281px; top: 49px; width: 384px; height: 215px;" id="lcd" type="application/x-mediacoder-scriptable-plugin">    </embed>
	</div>
    </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
